import request from '@/utils/request'
import download from '@/utils/request';
// 查询角色列表
export function findAll(query) {
  return request({
    url: '/knowledge/tRegulatoryFramework/findAll',
    method: 'post',
    data: query
  })
}

export function findOne(query) {
  return request({
    url: '/knowledge/tRegulatoryFramework/findOne',
    method: 'get',
    params: query
  })
}

export function recordsQuery(query) {
  return request({
    url: '/knowledge/tRegulatoryFramework/recordsQuery',
    method: 'get',
    params: query
  })
}

export function addNew(query) {
  return request({
    url: '/knowledge/tRegulatoryFramework/insert',
    method: 'post',
    data: query
  })
}

export function updateData(query) {
  return request({
    url: '/knowledge/tRegulatoryFramework/update',
    method: 'post',
    data: query
  })
}

export function filing(query) {
  return request({
    url: '/knowledge/tRegulatoryFramework/filing',
    method: 'get',
    params: query
  })
}

export function deleteData(ids) {
  return request({
      url: '/knowledge/tRegulatoryFramework/delete',
      method: 'post',
      params:ids
  })
}

export function exportData(url, params, filename, config) {
  return download({
    url:url,
    params:null,
    filename:filename,
    config:null

  })
}

